kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jkr...@apache.org
Subject svn commit: r1187983 - /incubator/kafka/trunk/bin/zookeeper-shell.sh
Date Sun, 23 Oct 2011 22:03:50 GMT
Author: jkreps
Date: Sun Oct 23 22:03:49 2011
New Revision: 1187983

URL: http://svn.apache.org/viewvc?rev=1187983&view=rev
Log:
KAFKA-165 Add a cli script to use zkCli without having to download ZK.


Added:
    incubator/kafka/trunk/bin/zookeeper-shell.sh   (with props)

Added: incubator/kafka/trunk/bin/zookeeper-shell.sh
URL: http://svn.apache.org/viewvc/incubator/kafka/trunk/bin/zookeeper-shell.sh?rev=1187983&view=auto
==============================================================================
--- incubator/kafka/trunk/bin/zookeeper-shell.sh (added)
+++ incubator/kafka/trunk/bin/zookeeper-shell.sh Sun Oct 23 22:03:49 2011
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+# 
+#    http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ $# -ne 1 ];
+then
+	echo "USAGE: $0 zookeeper_host:port[/path]"
+	exit 1
+fi
+
+$(dirname $0)/kafka-run-class.sh org.apache.zookeeper.ZooKeeperMain -server $1
\ No newline at end of file

Propchange: incubator/kafka/trunk/bin/zookeeper-shell.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message